Overview
GET
/document/documents/{id}documentGet documents by id
Fetch a record from documents by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
documents
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- titlestring
- docTypestring
- createdAtstring
- updatedAtstring
- isDeletedboolean
- syncVersioninteger
- lastOpIdstring?
- lastSnapshotIdstring?
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"title": "string",
"docType": "string",
"createdAt": "string",
"updatedAt": "string",
"isDeleted": true,
"syncVersion": 0,
"lastOpId": "string",
"lastSnapshotId": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/document/documents/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/document/documents/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();